//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------


datablock TSShapeConstructor(BooDts)
{
   baseShape = "./Boo.dts";
   sequence0 = "./m_root.dsq root";
   sequence1 = "./m_run.dsq run";
   sequence2 = "./m_back.dsq back";
   sequence3 = "./m_side.dsq side";
   sequence4 = "./m_look.dsq look";
   sequence5 = "./m_crouch.dsq crouch";
   sequence6 = "./m_fall.dsq fall";
   sequence7 = "./m_death1.dsq land";
   sequence8 = "./m_standjump.dsq jump";
   sequence9  = "./m_crouchRun.dsq crouchRun";
   sequence10 = "./m_crouchBack.dsq crouchBack";
   sequence11 = "./m_crouchSide.dsq crouchSide";
   sequence12 = "./m_root.dsq walk";
   sequence13 = "./m_death1.dsq death1";
   sequence18 = "./m_spearready.dsq spearready";  
   sequence19 = "./m_spearThrow.dsq spearThrow";
   sequence20 = "./m_talk.dsq talk";
   sequence21 = "./m_headup.dsq headUp";

   sequence22 = "./m_talk.dsq talk";
   sequence23 = "./m_headside.dsq headside";
   sequence24 = "./m_standjump.dsq standjump";
   sequence25 = "./m_headup.dsq headUp";
   sequence26 = "./m_armAttack.dsq armAttack";
   sequence27 = "./m_armReadyLeft.dsq armReadyLeft";
   sequence28 = "./m_armReadyRight.dsq armReadyRight";
   sequence29 = "./m_armReadyBoth.dsq armReadyBoth";

   sequence30 = "./m_fall.dsq sit";
};


datablock DebrisData( BooDebris )
{
   explodeOnMaxBounce = false;

   elasticity = 0.15;
   friction = 0.5;

   lifetime = 4.0;
   lifetimeVariance = 0.0;

   minSpinSpeed = 40;
   maxSpinSpeed = 600;

   numBounces = 5;
   bounceVariance = 0;

   staticOnMaxBounce = true;
   gravModifier = 1.0;

   useRadiusMass = true;
   baseRadius = 1;

   velocity = 20.0;
   velocityVariance = 12.0;
};     

datablock PlayerData(BooArmor : PlayerStandardArmor)
{
   shapeFile = "./Boo.dts";
   cameraMaxDist = 6;


   
   // Damage location details
   boxNormalHeadPercentage       = 0.83;
   boxNormalTorsoPercentage      = 0.49;
   boxHeadLeftPercentage         = 0;
   boxHeadRightPercentage        = 1;
   boxHeadBackPercentage         = 0;
   boxHeadFrontPercentage        = 1; 
  
   uiname = "Sunshine Boo";


};


function BooArmor::onAdd(%this,%obj)
{
   // Vehicle timeout
   %obj.mountVehicle = false;

   // Default dynamic armor stats
   %obj.setRepairRate(0);

}



//called when the driver of a player-vehicle is unmounted
function BooArmor::onDriverLeave(%obj, %player)
{
	//do nothing
}
